<ion-app>
  <ion-menu
    (ionWillOpen)="onMenuOpen()"
    side="start"
    menuId="first"
    contentId="main"
  >
    <ion-header >
      <ion-toolbar >
        <ion-searchbar [(ngModel)]="filter" (ionChange)="triggerFilter()"></ion-searchbar>
      </ion-toolbar>
    </ion-header>
    <ion-content class="grey-background">
      <ion-list class="grey-background">
        <div class="ion-margin-start" *ngIf="foldersWorkedFiltered && foldersWorkedFiltered.length > 0">
          <ion-label>Folder list</ion-label>
          <div *ngFor="let folder of foldersWorkedFiltered">
            <ion-card class="ion-no-margin ion-margin-end ion-margin-vertical">
              <ion-grid>
                <ion-row>
                  <ion-col (click)="showFolderList(folder)" size="1" class="lil-radius" [ngStyle]="{'background-color': folder.color}"></ion-col>
                  <ion-col (click)="showFolderList(folder)" size="2">
                    <ion-icon
                      class="ion-margin-horizontal bigger-icon"
                      [name]="folder.icon"
                    ></ion-icon>
                  </ion-col>
                  <ion-col size="7" (click)="showFolderList(folder)">
                    {{ truncateString(folder.name, 20) }}
                  </ion-col>
                  <ion-col size="2">
                    <ng-template
                    [ngIf]="deleteMode && !folder.onDelete"
                    [ngIfElse]="deleteMode && onDeleteTrue">
                      <ion-icon (click)="setOnDelete(folder, true)" name="square-outline" style="font-size: 20px;"></ion-icon>
                    </ng-template>
                    <ng-template #onDeleteTrue>
                      <ion-icon (click)="setOnDelete(folder, false)" name="checkbox-outline" style="font-size: 20px;"></ion-icon>    
                    </ng-template>
                  </ion-col>
                </ion-row>
              </ion-grid>
            </ion-card>
          </div>
        </div>
        <div class="ion-margin-start" *ngIf="orphanNotesFiltered && orphanNotesFiltered.length > 0">
          <ion-label>Parentless notes</ion-label>
          <div *ngFor="let note of orphanNotesFiltered">
            <ion-card 
            class="ion-no-margin ion-margin-end ion-margin-vertical card-bg"
            >
              <ion-grid>
                <ion-row>
                  <ion-col (click)="goToNote(note.id)" size="10">
                    {{ truncateString(note.title, 20) }}
                  </ion-col>
                  <ion-col size="1" *ngIf="note.listItems.length > 0 && !deleteMode">
                    <ion-badge 
                    [color]="getNbItemsDone(note) == note.listItems.length ? 'success' :
                    getNbItemsDone(note) == 0 ? 'danger' : 'warning'">
                      {{getNbItemsDone(note)}}/{{note.listItems.length}}
                    </ion-badge>
                  </ion-col>
                  <ion-col size="1" *ngIf="deleteMode">
                    <ng-template
                    [ngIf]="deleteMode && !note.onDelete"
                    [ngIfElse]="deleteMode && onDeleteNoteTrue">
                      <ion-icon (click)="setOnDelete(note, true)" name="square-outline" style="font-size: 20px;"></ion-icon>
                    </ng-template>
                    <ng-template #onDeleteNoteTrue>
                      <ion-icon (click)="setOnDelete(note, false)" name="checkbox-outline" style="font-size: 20px;"></ion-icon>    
                    </ng-template>
                  </ion-col>
                </ion-row>
              </ion-grid>
            </ion-card>
          </div>
        </div>
      </ion-list>
      <ng-template               
        [ngIf]="!deleteMode"
        [ngIfElse]="deleteId">
        <ion-fab horizontal="center" vertical="bottom" slot="fixed">
          <ion-fab-button color="light">
            <ion-icon name="add-outline"></ion-icon>
          </ion-fab-button>
          <ion-fab-list side="end">
            <ion-fab-button 
            (click)="closeMenu()"
              [routerLink]="[
              'note']">
              <ion-icon name="document-outline"></ion-icon>
            </ion-fab-button>
          </ion-fab-list>
          <ion-fab-list side="start">
            <ion-fab-button
              (click)="closeMenu()"
              [routerLink]="[
              'folder']">
              <ion-icon name="folder-outline"></ion-icon> 
            </ion-fab-button>
          </ion-fab-list>
          <ion-fab-list side="top">
            <ion-fab-button (click)="setDeleteModeOn()">
              <ion-icon name="trash-outline"></ion-icon> 
            </ion-fab-button>
          </ion-fab-list>
        </ion-fab>
      </ng-template>
      <ng-template #deleteId>
        <ion-fab horizontal="center" vertical="bottom" slot="fixed">
          <ion-fab-button color="light" (click)="validateDelete()">
            <ion-icon
              class="ion-text-end"
              style="font-size: 20px;"
              name="checkmark-outline"
            ></ion-icon>
          </ion-fab-button>
        </ion-fab>
      </ng-template>
    </ion-content>
  </ion-menu>
  <ion-router-outlet id="main"></ion-router-outlet>
</ion-app>
